#ifndef _LCD_EDOSK2674_H
#define _LCD_EDOSK2674_H

void InitDisplay( );
void DisplayString(unsigned char position, char * string);

#define LCD_LINE1 0
#define LCD_LINE2 16

/**********************************************************************************/
// LCD commands - use disp_ctrlw function to write these commands to the LCD. 
/**********************************************************************************/
#define LCD_CLEAR        0x01    /* Clear LCD display and home cursor   */
#define LINE1   			0
#define LINE2   			1
#define LCD_HOME_L1      0x80    /* move cursor to line 1               */
#define LCD_HOME_L2      0xC0    /* move cursor to line 2               */
#define CURSOR_MODE_DEC  0x04    /* Cursor auto decrement after R/W     */
#define CURSOR_MODE_INC  0x06    /* Cursor auto increment after R/W     */
#define FUNCTION_SET     0x28    /* Setup, 4 bits,2 lines, 5X7          */
#define LCD_CURSOR_ON    0x0E    /* Display ON with Cursor              */
#define LCD_CURSOR_OFF   0x0C    /* Display ON with Cursor off*/
#define LCD_CURSOR_BLINK 0x0D    /* Display on with blinking cursor     */
#define LCD_CURSOR_LEFT  0x10    /* Move Cursor Left One Position       */
#define LCD_CURSOR_RIGHT 0x14    /* Move Cursor Right One Position      */

/**********************************************************************************/
/* Type definitions */
/**********************************************************************************/
typedef unsigned char  Bool;
typedef signed char    sI08;
typedef signed short   sI16;
typedef signed long    sI32;
typedef unsigned char  uI08;
typedef unsigned short uI16;
typedef unsigned long  uI32;

#endif