/* sysBusPci.h - PCI controller public constants header file */

/* Copyright 2000-2001 Wind River Systems, Inc. */


/*
modification history
--------------------
01c,22oct01,hk   added sysPciMapVerify() prototype.
01b,02apr01,zl   code cleanup, moved defines to ms7751se.h
01a,15dec00,rsh  written for ms7751se01.
*/

#ifndef __INCsysBusPcih
#define __INCsysBusPcih

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#ifndef _ASMLANGUAGE

/* function declarations */

#if (defined(__STDC__) || defined(__cplusplus))
 
STATUS sysPciAutoconfigInclude
    (
    PCI_SYSTEM * pSys,                  /* PCI_SYSTEM structure pointer */
    PCI_LOC * pLoc,                     /* pointer to function in question */
    UINT devVend                        /* deviceID/vendorID of device */
    );
 
UCHAR sysPciAutoconfigIntrAssign
    (
    PCI_SYSTEM * pSys,                  /* PCI_SYSTEM structure pointer */
    PCI_LOC * pLoc,                     /* pointer to function in question */
    UCHAR pin                           /* contents of PCI int pin register */
    );

LOCAL STATUS sysPciConfigRead
    (
    int	busNo,				/* bus number */
    int	deviceNo,			/* device number */
    int	funcNo,				/* function number */
    int	offset,				/* offset into the config space */
    int width,				/* width to be read */
    void * pData			/* data read from the offset */
    );

LOCAL STATUS sysPciConfigWrite
    (
    int	busNo,				/* bus number */
    int	deviceNo,			/* device number */
    int	funcNo,				/* function number */
    int	offset,				/* offset into the config space */
    int width,				/* width to write */
    ULONG data				/* data to write */
    );

LOCAL ULONG sysPciConfigInLong
    (
    ULONG port				/* port to be read from */
    );

LOCAL USHORT sysPciConfigInWord
    (
    ULONG port				/* port to be read from */
    );

LOCAL UCHAR sysPciConfigInByte
    (
    ULONG port				/* port to be read from */
    );

LOCAL void sysPciConfigOutLong
    (
    ULONG port,				/* port to be written to */
    ULONG data				/* data to be copied */
    );

LOCAL void sysPciConfigOutWord
    (
    ULONG port,				/* port to be written to */
    UINT16 data				/* data to be copied */
    );

LOCAL void sysPciConfigOutByte
    (
    ULONG port,				/* port to be written to */
    UCHAR data				/* data to be copied */
    );
LOCAL void sysPciConfigOutCar
    (
    ULONG adrs,				/* Addrsess of CAR */
    ULONG data				/* data to be copied */
    );

void sysPcicInit (void);
void sysPciAutoConfig (void);
STATUS sysPciMapVerify (void *pciVirtLow, UINT pciVirtLen);


#else   /* __STDC__ */
 
STATUS sysPciAutoconfigInclude ();
UCHAR sysPciAutoconfigIntrAssign ();
LOCAL STATUS sysPciConfigRead ();
LOCAL STATUS sysPciConfigWrite ();
LOCAL ULONG sysPciConfigInLong ();
LOCAL USHORT sysPciConfigInWord ();
LOCAL UCHAR sysPciConfigInByte ();
LOCAL void sysPciConfigOutLong ();
LOCAL void sysPciConfigOutWord ();
LOCAL void sysPciConfigOutByte ();
LOCAL void sysPciConfigOutCar ();
void sysPcicInit ();
void sysPciAutoConfig ();
STATUS sysPciMapVerify ();
 
#endif  /* __STDC__ */

#endif  /* _ASMLANGUAGE */
 
#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __INCsysBusPcih */
